#ifndef __STDSYS_INCLUDED
#define __STDSYS_INCLUDED 1

void sys$setiv(void *handler, int number) syscall 1;
void sys$setti(int time) syscall 2;
void sys$smlslp(void) syscall 3;
void sys$putch(int c) syscall 4;
void sys$putstr(char *s) syscall 5;
int sys$dscnbl(int discn) syscall 7;
int sys$dscrbl(int discn, int blockn, void *buffer) syscall 8;
int sys$dscwbl(int discn, int blockn, void *buffer) syscall 9;
int sys$getch(void) syscall 10;
int sys$echo(int onoroff) syscall 11;
int sys$defsym(char *symbol, int val) syscall 12;
int sys$chksym(char *symbol) syscall 13;
int sys$lkpsym(char *symbol) syscall 14;
int sys$delsym(char *symbol) syscall 15;
int sys$getsym(int table, int index, char *symbol) syscall 16;
int sys$load(char *filename) syscall 17;
int sys$defsys(int index, void * function) syscall 18;
int sys$palloc(int ppn) syscall 19;
int sys$setvmp(int virtualaddress, int prot, int ppn) syscall 20;
int sys$getvmp(int virtualaddress) syscall 21;
int sys$chkvmp(int virtualaddress) syscall 22;
int sys$info(int key) syscall 23;
int sys$mode(int mode) syscall 24;
int sys$daytim(int *day, int *tim) syscall 25;
int sys$encday(int y, int m, int d) syscall 26;
int sys$decday(int day, int *y, int *m, int *d, int *w) syscall 27;
int sys$sample(int ignore) syscall 28;
int sys$open(char *filename, int mode) syscall 29;
int sys$iopen(char *filename, int mode) syscall 30;
int sys$close(int fileref) syscall 31;
int sys$iclose(int fileref) syscall 32;
int sys$seek(int fileref, int position) syscall 33;
int sys$iseek(int fileref, int position) syscall 34;
int sys$read(int fileref, void * buffer, int numbytes) syscall 35;
int sys$iread(int fileref, void * buffer, int numbytes) syscall 36;
int sys$write(int fileref, void * buffer, int numbytes) syscall 37;
int sys$iwrite(int fileref, void * buffer, int numbytes) syscall 38;
int sys$getip(int *ip) syscall 39;
int sys$netsnd(int *dest, void *data, int len) syscall 40;
int sys$netrcv(int *dest, void *data, int len) syscall 41;

#define file$read 1
#define file$write 2
#define file$begin 4
#define file$end 8
#define file$exist 16
#define file$nexist 32
#define file$new 64

#define iv$charin 1
#define iv$timer  2

#define info$ppm 1
#define info$lstsys 2
#define info$timzon 3

#define prot$cx 0400
#define prot$cw 0200
#define prot$cr 0100
#define prot$sx 0040
#define prot$sw 0020
#define prot$sr 0010
#define prot$ux 0004
#define prot$uw 0002
#define prot$ur 0001

#define breakpoint(s) { sys$putstr("\nBREAKPOINT "); sys$putstr(s); sys$putch('\n'); [[ BREAK #0 ]] }

#endif

